package com.ruoyi.care.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 护理公司对象 care_companies
 * 
 * @author qy
 * @date 2024-11-26
 */
public class CareCompanies extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 公司的唯一标识符 */
    private Long companyId;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String name;

    /** 公司地址 */
    @Excel(name = "公司地址")
    private String address;

    /** 公司法人 */
    @Excel(name = "公司法人")
    private String legalPerson;

    /** 公司联系电话 */
    @Excel(name = "公司联系电话")
    private String phoneNumber;

    /** 公司电子邮件地址 */
    @Excel(name = "公司电子邮件地址")
    private String email;

    /** 每日可派单人数 */
    @Excel(name = "每日可派单人数")
    private Long dispatchPersonNumber;

    /** 关联用户表id */
    @Excel(name = "关联用户表id")
    private Long userId;

    /** 登录名 */
    private String loginName;
    //当天还可派单数
    private String count;

    public String getCount() {
        return count;
    }

    public void setCount(String count) {
        this.count = count;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    /** 登录密码 */
    private String password;

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }


    /** 公司状态（启用或停用） */
    @Excel(name = "公司状态", readConverterExp = "启=用或停用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setLegalPerson(String legalPerson) 
    {
        this.legalPerson = legalPerson;
    }

    public String getLegalPerson() 
    {
        return legalPerson;
    }
    public void setPhoneNumber(String phoneNumber) 
    {
        this.phoneNumber = phoneNumber;
    }

    public String getPhoneNumber() 
    {
        return phoneNumber;
    }
    public void setEmail(String email) 
    {
        this.email = email;
    }

    public String getEmail() 
    {
        return email;
    }
    public void setDispatchPersonNumber(Long dispatchPersonNumber) 
    {
        this.dispatchPersonNumber = dispatchPersonNumber;
    }

    public Long getDispatchPersonNumber() 
    {
        return dispatchPersonNumber;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("companyId", getCompanyId())
            .append("name", getName())
            .append("address", getAddress())
            .append("legalPerson", getLegalPerson())
            .append("phoneNumber", getPhoneNumber())
            .append("email", getEmail())
            .append("dispatchPersonNumber", getDispatchPersonNumber())
            .append("userId", getUserId())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
